package signald

// Response is a response to a request to signald, or a new inbound message
type Response struct {
	ID   string
	Data ResponseData
}

// ResponseData is where most of the data in the response is stored.
type ResponseData struct {
	Groups []Group
}

// Group represents a group in signal
type Group struct {
	GroupID  string
	Members  []string
	Name     string
	AvatarID int
}
